Package org.drinkless.tdlib

# Class TdApi.GroupCallVideoSourceGroup

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.GroupCallVideoSourceGroup

Enclosing class:
  `TdApi`

public static class TdApi.GroupCallVideoSourceGroup extends TdApi.Object
Describes a group of video synchronization source identifiers.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `semantics`
  The semantics of sources, one of "SIM" or "FID".
  `int[]`
  `sourceIds`
  The list of synchronization source identifiers.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GroupCallVideoSourceGroup()`
  Describes a group of video synchronization source identifiers.
  `GroupCallVideoSourceGroup(String semantics, int[] sourceIds)`
  Describes a group of video synchronization source identifiers.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### semantics

    public String semantics
    The semantics of sources, one of "SIM" or "FID".

  - ### sourceIds

    public int[] sourceIds
    The list of synchronization source identifiers.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### GroupCallVideoSourceGroup

    public GroupCallVideoSourceGroup()
    Describes a group of video synchronization source identifiers.

  - ### GroupCallVideoSourceGroup

    public GroupCallVideoSourceGroup(String semantics, int[] sourceIds)
    Describes a group of video synchronization source identifiers.
    Parameters:
      `semantics` - The semantics of sources, one of "SIM" or "FID".
      `sourceIds` - The list of synchronization source identifiers.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR